LOOK(1)

NOMBRE
look - mostrar las líneas que comienzan por una cadena dada

SINOPSIS

look [options] string [file]

DESCRIPCIÓN

The look utility displays any lines in file which contain string as a prefix. As look performs a binary search, the lines in file must be sorted (where sort(1) was given the same options -d and/or -f that look is invoked with).

Si no se especifica fichero, se usa el fichero /usr/share/dict/words, solo se comparan caracteres alfabéticos y las mayúsculas y minúsculas se toman por igual.

OPCIONES

-a, --alternative
    Utiliza el fichero de diccionario alternativo.

-d, --alphanum
    Utiliza el conjunto de caracteres y orden de diccionario normales, por ejemplo, sólo comparar espacios y caracteres alfanuméricos. Está activo de forma predefinida si no se especifica ningún fichero.

    Nótese que los espacios se le han añadido al conjunto de caracteres del diccionario por compatibilidad con la orden sort -d desde la versión 2.28.

-f, --ignore-case
    Tomar mayúsculas y minúsculas como iguales en caracteres alfabéticos.No tiene en cuenta que los caracteres estén en mayúsculas o minúsculas. Es así de forma predefinida si no se especifica ningún fichero.

-t, --terminate carácter
    Specify a string termination character, i.e., only the characters in string up to and including the first occurrence of character are compared.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Display version and exit.

ESTADO DE SALIDA

La utilidad look termina con valor 0 si una o más líneas fueron encontradas y mostradas, 1 si no se encontró ninguna y >1 si ocurrió un error.

ENTORNO

WORDLIST
    Path to a dictionary file. The environment variable has greater priority than the dictionary path defined in the FILES segment.

FICHEROS

/usr/share/dict/words
    el diccionario

/usr/share/dict/web2
    el diccionario alternativo

HISTORIA

La utilidad look apareció en el Unix de AT&T versión 7.

EJEMPLOS

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

VÉASE TAMBIÉN

grep(1), sort(1)

INFORMAR DE ERRORES

For bug reports, use the

DISPONIBILIDAD

La orden look forma parte del paquete util-linux, el cual puede descargarse de